using System.Xml.Serialization;

namespace WcfRestPox.Delicious
{
	[XmlRoot("posts")]
	public class PostsResponse
	{
		private string tag;
		private string user;
		private Post[] posts;

		[XmlAttribute("tag")]
		public string Tag
		{
			get { return tag; }
			set { tag = value; }
		}

		[XmlAttribute("user")]
		public string User
		{
			get { return user; }
			set { user = value; }
		}

		[XmlElement("post")]
		public Post[] Posts
		{
			get { return posts; }
			set { posts = value; }
		}
	}
}
